Subject: RE: [AVT] Review comments for draft-ietf-avt-rfc3047bis-02.doc

From: "Even, Roni" <[email-masked]>
Date: Sun, 31 Dec 2006 14:30:30 +0200

Tom, 

Thanks for the comments.
See inline

Roni

> -----Original Message-----
> From: Tom-PT Taylor [mailto:[email-masked]]
> Sent: Wednesday, November 22, 2006 9:21 PM
> To: Colin Perkins; Even, Roni; Patrick Luthi; [email-masked]
> Subject: [AVT] Review comments for draft-ietf-avt-rfc3047bis-02.doc
> 
> Summary: I think this document needs a little tidying up before it is
> ready for WG Last Call. My major concern is the amount of codec
> description mixed into the RTP section. I feel that could all be
> gathered into the excellent but somewhat abbreviated introduction, so
> that the RTP section can concentrate on packetization issues. If you
> want, I can give specific suggestions for new text.
[RE:] I will try to improve it but will appreciate some suggestions from you
> 
> Aside from this general concern, here are some minor issues:
> 
> 1) The abbreviation MIME appears in a number of places in the document.
> That has to go, since we just register media types for RTP these days.
> In sections 4.1.1 and 5 you'll have to add "media" in front of "subtype"
> when "MIME" is taken away. Elsewhere you can just delete "MIME".
[RE:] OK
> 
> 2) In section 3.4, first para, how does the receiver know the expected
> number of octets per frame? I assume it is derived from the bitrate
> parameter. You might mention that.
[RE:] It is explained in section 3.2 so why repeat here.
> 
> 3) In section 4.1.1, optional parameters: I assume ptime and maxptime
> SHOULD be a multiple of 20 ms, since that is the frame size?
[RE:] This text is the same as all other audio codec but I can add.
> 
> 4) Also in section 4.1.1, published specification, you might want to add
> [this RFC] or a note to the RFC Editor after "RFC yyy".
[RE:] OK
> 
> 5) In section 7 I suppose you can add mention that you are updating the
> media type registration to conform to RFC 4288.
[RE:] OK
> 
> 6) Is there anything you need to write about receiver behaviour,
> particularly if confronted with payload types at different sampling
> rates in the same stream?
[RE:] This is explained in 5.1 since each will have a different PT

> 
> I have some minor editing notes I will send directly to the authors.
> 
> Note to Chairs: we have to take this registration to the media types list.
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt
> 
> 
> 
> 
> 
> **************************************************************************
> **********
> This footnote confirms that this email message has been scanned by
> PineApp Mail-SeCure for the presence of malicious code, vandals & computer
> viruses.
> **************************************************************************
> **********
> 
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt